Bug 186976 - [PATCH] devel/tortoisehg2 upgrade to 2.11
Summary: [PATCH] devel/tortoisehg2 upgrade to 2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 10:30 UTC by frederic.praca
Modified: 2014-03-04 00:30 UTC (History)
0 users

See Also:


Attachments
tortoisehg2.diff (11.66 KB, patch)
2014-02-23 10:30 UTC, frederic.praca
no flags Details | Diff
tortoisehg.patch.txt (6.68 KB, text/plain; charset=US-ASCII)
2014-03-03 05:34 UTC, Gleb Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description frederic.praca 2014-02-23 10:30:00 UTC
TortoiseHG v2.10.1 included in the ports does not work with the current Mercurial port. It needs to be upgraded to version 2.11

How-To-Repeat: Just install devel/tortoisehg2 and run
Comment 1 Edwin Groothuis freebsd_committer 2014-02-23 10:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-23 10:30:09 UTC
Maintainer of devel/tortoisehg2,

Please note that PR ports/186976 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186976

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Gleb Popov freebsd_committer 2014-02-27 07:38:50 UTC
Hello, Frédéric.

Thanks for your patch. Could you, please, explain me your changes to
pkg-plist?
Specifically, removing %%NAUTILUS%% and %%NLS%% stuff, replacing @dirrm's
with @dirrmtry's for share/pixmaps/tortoisehg and addition of

+@dirrmtry %%PYTHON_SITELIBDIR%%/tortoisehg-2.11-py2.7.egg-info
+@dirrmtry %%PYTHON_SITELIBDIR%%/tortoisehg

These entries are added automatically by

USE_PYDISTUTILS=yes
INSTALLS_EGGINFO=yes

lines from Makefile.

Otherwise your patch looks good.
Comment 4 frederic.praca 2014-02-27 09:19:07 UTC
> Hello, Fr=C3=A9d=C3=A9ric.
Hello,
=20
> Thanks for your patch. Could you, please, explain me your changes to
> pkg-plist?
> Specifically, removing %%NAUTILUS%% and %%NLS%% stuff, replacing
> @dirrm's with @dirrmtry's for share/pixmaps/tortoisehg and addition of
>=20
> +@dirrmtry %%PYTHON_SITELIBDIR%%/tortoisehg-2.11-py2.7.egg-info
> +@dirrmtry %%PYTHON_SITELIBDIR%%/tortoisehg
>=20
> These entries are added automatically by
>=20
> USE_PYDISTUTILS=3Dyes
> INSTALLS_EGGINFO=3Dyes
>=20
> lines from Makefile.
Well, according to
http://www.freebsd.org/doc/en/books/porters-handbook/plist-autoplist.html ,
I just used "make makeplist" :)
I also removed what seemed to be overkill such as :
@dirrmtry %%PYTHON_SITELIBDIR%%

But, you are right, tortoisehg directories could be just deleted
with dirrm.
About %%NAUTILUS%% and %%NLS%% stuff, it seems that the autoplist
target forgot these files.
I will check it as soon as possible to provide you a new patch.

> Otherwise your patch looks good.
Thanks but changing PORTVERSION in the Makefile, updating distinfo and
regenerating the plist automatically is not really a big thing :D

Fred
Comment 5 Pawel Pekala freebsd_committer 2014-03-03 22:07:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-03-04 00:29:44 UTC
Author: pawel
Date: Tue Mar  4 00:29:35 2014
New Revision: 346979
URL: http://svnweb.freebsd.org/changeset/ports/346979
QAT: https://qat.redports.org/buildarchive/r346979/

Log:
  Update to version 2.11
  
  PR:		ports/186976
  Submitted by:	Frederic Praca <frederic.praca@free.fr>
  Approved by:	maintainer (with minor changes)

Modified:
  head/devel/tortoisehg2/Makefile
  head/devel/tortoisehg2/distinfo
  head/devel/tortoisehg2/pkg-plist

Modified: head/devel/tortoisehg2/Makefile
==============================================================================
--- head/devel/tortoisehg2/Makefile	Tue Mar  4 00:18:31 2014	(r346978)
+++ head/devel/tortoisehg2/Makefile	Tue Mar  4 00:29:35 2014	(r346979)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	tortoisehg
-PORTVERSION=	2.10.1
+PORTVERSION=	2.11
 CATEGORIES=	devel
 MASTER_SITES=	http://cdn.bitbucket.org/tortoisehg/targz/downloads/
 

Modified: head/devel/tortoisehg2/distinfo
==============================================================================
--- head/devel/tortoisehg2/distinfo	Tue Mar  4 00:18:31 2014	(r346978)
+++ head/devel/tortoisehg2/distinfo	Tue Mar  4 00:29:35 2014	(r346979)
@@ -1,2 +1,2 @@
-SHA256 (tortoisehg-2.10.1.tar.gz) = 5c42af380ad1d00ce04e7b764eb1797a725451598627b3e8cc2dde9f359feb39
-SIZE (tortoisehg-2.10.1.tar.gz) = 8617287
+SHA256 (tortoisehg-2.11.tar.gz) = 4b66ac7c94a8b31a7a06cbb1d1919a271c8e7c5d2587247d1e08f22a835da687
+SIZE (tortoisehg-2.11.tar.gz) = 7383690

Modified: head/devel/tortoisehg2/pkg-plist
==============================================================================
--- head/devel/tortoisehg2/pkg-plist	Tue Mar  4 00:18:31 2014	(r346978)
+++ head/devel/tortoisehg2/pkg-plist	Tue Mar  4 00:29:35 2014	(r346979)
@@ -57,9 +57,6 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/customtools.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/decorators.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/docklog.pyo
@@ -72,9 +69,9 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedialogs.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedialogs.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filedialogs.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistmodel.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistmodel.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistmodel.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileencoding.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileencoding.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/fileencoding.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistview.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistview.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/filelistview.pyo
@@ -135,15 +132,12 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/logcolumns.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/logcolumns.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/logcolumns.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestdialog.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestdialog.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestdialog.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestmodel.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestmodel.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/manifestmodel.pyo
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.py
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.pyc
+%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/matching.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/merge.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/merge.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/merge.pyo
@@ -165,9 +159,6 @@ bin/thg
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/partialcommit.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/partialcommit.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/partialcommit.pyo
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pathedit.py
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pathedit.pyc
-%%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pathedit.pyo
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pbranch.py
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pbranch.pyc
 %%PYTHON_SITELIBDIR%%/tortoisehg/hgqt/pbranch.pyo
@@ -414,8 +405,8 @@ share/applications/tortoisehg.desktop
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/tortoisehg.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/tortoisehg.mo
 share/pixmaps/tortoisehg/icons/16x16/apps/gnupg.png
-share/pixmaps/tortoisehg/icons/16x16/apps/reviewboard.png
 share/pixmaps/tortoisehg/icons/16x16/apps/kiln.png
+share/pixmaps/tortoisehg/icons/16x16/apps/reviewboard.png
 share/pixmaps/tortoisehg/icons/22x22/actions/window-close.png
 share/pixmaps/tortoisehg/icons/24x24/actions/hg-incoming.png
 share/pixmaps/tortoisehg/icons/24x24/actions/hg-outgoing.png
@@ -550,8 +541,8 @@ share/pixmaps/tortoisehg/icons/scalable/
 share/pixmaps/tortoisehg/icons/scalable/actions/view-diff.svg
 share/pixmaps/tortoisehg/icons/scalable/actions/view-file.svg
 share/pixmaps/tortoisehg/icons/scalable/actions/view-filter.svg
-share/pixmaps/tortoisehg/icons/scalable/actions/view-refresh.svg
 share/pixmaps/tortoisehg/icons/scalable/actions/view-hidden.svg
+share/pixmaps/tortoisehg/icons/scalable/actions/view-refresh.svg
 share/pixmaps/tortoisehg/icons/scalable/actions/visualdiff.svg
 share/pixmaps/tortoisehg/icons/scalable/apps/help-browser.svg
 share/pixmaps/tortoisehg/icons/scalable/apps/help-readme.svg
@@ -561,14 +552,14 @@ share/pixmaps/tortoisehg/icons/scalable/
 share/pixmaps/tortoisehg/icons/scalable/apps/tools-hooks.svg
 share/pixmaps/tortoisehg/icons/scalable/apps/tools-spanner-hammer.svg
 share/pixmaps/tortoisehg/icons/scalable/apps/utilities-terminal.svg
+share/pixmaps/tortoisehg/icons/scalable/status/hg-merged-both.svg
+share/pixmaps/tortoisehg/icons/scalable/status/hg-merged-p1.svg
+share/pixmaps/tortoisehg/icons/scalable/status/hg-merged-p2.svg
 share/pixmaps/tortoisehg/icons/scalable/status/hg-patch-applied.svg
 share/pixmaps/tortoisehg/icons/scalable/status/hg-patch-guarded.svg
 share/pixmaps/tortoisehg/icons/scalable/status/hg-patch-unguarded.svg
 share/pixmaps/tortoisehg/icons/scalable/status/thg-added-subrepo.svg
 share/pixmaps/tortoisehg/icons/scalable/status/thg-error.svg
-share/pixmaps/tortoisehg/icons/scalable/status/thg-file-merged.svg
-share/pixmaps/tortoisehg/icons/scalable/status/thg-file-p0.svg
-share/pixmaps/tortoisehg/icons/scalable/status/thg-file-p1.svg
 share/pixmaps/tortoisehg/icons/scalable/status/thg-git-subrepo.svg
 share/pixmaps/tortoisehg/icons/scalable/status/thg-remote-repo.svg
 share/pixmaps/tortoisehg/icons/scalable/status/thg-removed-subrepo.svg
@@ -598,7 +589,8 @@ share/pixmaps/tortoisehg/icons/svg/sync.
 share/pixmaps/tortoisehg/icons/svg/thg_logo.svg
 share/pixmaps/tortoisehg/icons/thg_logo.ico
 share/pixmaps/tortoisehg/icons/thg_logo_92x50.png
-%%DATADIR%%/mergetools.rc
+share/tortoisehg/mergetools.rc
+@dirrm share/tortoisehg
 @dirrm share/pixmaps/tortoisehg/icons/16x16/apps
 @dirrm share/pixmaps/tortoisehg/icons/16x16
 @dirrm share/pixmaps/tortoisehg/icons/22x22/actions
@@ -614,7 +606,6 @@ share/pixmaps/tortoisehg/icons/thg_logo_
 @dirrm share/pixmaps/tortoisehg/icons/svg
 @dirrm share/pixmaps/tortoisehg/icons
 @dirrm share/pixmaps/tortoisehg
-@dirrm %%DATADIR%%
 %%NLS%%@dirrmtry share/locale/jv/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/jv
 @dirrm %%PYTHON_SITELIBDIR%%/tortoisehg/util
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2014-03-04 00:30:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!